"{ Package: 'stx:libwidg2' }"

LibraryDefinition subclass:#stx_libwidg2
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'* Projects *'
!


!stx_libwidg2 class methodsFor:'description'!

classNamesAndAttributes
    ^ #(
        "/ <className> or (<className> attributes...)
        ('CharacterSetView' #autoload)
        'CheckBox'
        'ColorMenu'
        ('ColoredListEntry' #autoload)
        'ComboBoxButton'
        'ComboBoxView'
        ('ComboBrowseView' #autoload)
        'ComboListView'
        ('ComboUpDownView' #autoload)
        'ComboView'
        'DSVColumnView'
        'DSVLabelView'
        'DataSetColumn'
        'DataSetLabel'
        'DataSetView'
        'DoWhatIMeanSupport'
        'EnterBoxWithList'
        'ExtendedComboBox'
        'FileSelectionItem'
        'FileSelectionTree'
        'FilenameComboBoxView'
        'FilenameEditField'
        'FilenameEnterBox'
        'FontMenu'
        ('GraphColumn' #autoload)
        ('GraphColumnView' #autoload)
        ('GraphColumnView2D' #autoload)
        ('GraphColumnView2DSpec' #autoload)
        ('GraphColumnView3D' #autoload)
        ('GraphColumnView3DSpec' #autoload)
        ('GraphColumnViewSpec' #autoload)
        'GridBagConstraints'
        'GridBagLayoutInfo'
        'GridBagLayoutView'
        'HierarchicalFileList'
        'HierarchicalItem'
        'HierarchicalItemWithLabel'
        'HierarchicalItemWithLabelAndIcon'
        'HierarchicalItemWithLabelAndIconAndValue'
        'HierarchicalList'
        'HierarchicalListView'
        'HierarchyNode'
        ('HorizontalScale' #autoload)
        'HorizontalSlider'
        ('HorizontalSteppingSlider' #autoload)
        ('ImageEditView' #autoload)
        ('ImageSelectionBox' #autoload)
        'ImageView'
        'LabelAndIcon'
        'LabelledEnterField'
        'LicenceBox'
        ('ListEditor' #autoload)
        'ListEntry'
        'ListModelView'
        ('MenuButton' #autoload)
        'MenuPanel'
        'ModelListEntry'
        ('MotionButton' #autoload)
        'MultiColListEntry'
        'MultipleItemSelectionWidget'
        ('NoteBookFrameView' #autoload)
        'NoteBookView'
        ('ParagraphSpecification' #autoload)
        'PrintAbortDialog'
        'PrintingDialog'
        'ProgressIndicator'
        ('RoundButton' #autoload)
        ('Ruler' #autoload)
        ('Scale' #autoload)
        'SelectionInHierarchy'
        ('SelectionInHierarchyView' #autoload)
        'SelectionInListModelView'
        'SelectionInTree'
        'SelectionInTreeView'
        'Separator'
        'Slider'
        ('SteppingSlider' #autoload)
        ('StrokeView' #autoload)
        'SubCanvas'
        'SyncedMultiColumnTextView'
        ('TabControl' #autoload)
        'TabItem'
        'TabSpecRuler'
        'TabView'
        'TabWidget'
        'TabulatorSpecification'
        ('TerminalView' #autoload)
        'TextBox'
        ('TextRuler' #autoload)
        ('ThreeColumnTextView' #autoload)
        'TreeItem'
        'TreeItemWithImage'
        'TwoColumnTextView'
        'UpDownButton'
        ('VT100TerminalView' #autoload)
        ('VT52TerminalView' #autoload)
        ('VerticalRuler' #autoload)
        'ViewScroller'
        'stx_libwidg2'
    )

    "Modified: / 21-08-2006 / 19:47:31 / cg"
!

extensionMethodNames
    ^ #(
    )
! !

!stx_libwidg2 class methodsFor:'description - project information'!

companyName
    "Return a companyname which will appear in <lib>.rc"

    ^ 'eXept Software AG'
!

description
    "Return a description string which will appear in nt.def / bc.def"

    ^ 'Smalltalk/X Class library'
!

legalCopyright
    "Return copyright string which will appear in <lib>.rc"

    ^ 'Copyright eXept Software AG 1998-2006'
!

productName
    "Return a product name which will appear in <lib>.rc"

    ^ 'Smalltalk/X'
! !

!stx_libwidg2 class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libwidg2/stx_libwidg2.st,v 1.2 2006-08-21 17:47:24 cg Exp $'
! !
